<?php
/*
 * VtSoftware
 * PHP Vendégkönyv
 *
 * index.php
 * Példahasználat
 *
 * http://vtsoftware.hu
 * info@vtsoftware.hu
 * 2012. Feb. 13.
 */
header("Content-type: text/html; charset=UTF-8");

require("guestbook.class.php");
// Vendégkönyv osztály létrehozása
$guestbook = new GuestBook();
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Vendégkönyv</title>
    <script type="text/javascript" src="http://code.jquery.com/jquery-latest.min.js"></script>
    <style><!--
        BODY, TD { font-family: Verdana; font-size: 12px; }
    --></style>
  </head>
  <body>
    <table cellpadding="4" cellspacing="0" border="1">
<?php
        // bejegyzések változóba
        $items = $guestbook->getItems();
        // sorszámláló nullán
        $line_id=0;
        // kigyűjtés
        foreach ($items as $item) {
          echo "      <tr id=\"line_".$line_id."\"><td>".$item["name"]." - ".$item["mail"]." (".date("Y. m. d. H:i:s", $item["ts"]).")<br />".$item["msg"]."</td><td><a href=\"javascript:void(null);\" onclick=\"var ask = confirm('Biztos törlöd a bejegyzést?'); if (ask) { $.post('actions.php', {'action':'remove', 'id':'".$item["id"]."'}, function() { $('#line_".$line_id."').remove(); }); }\">Bejegyzés törlése</a></td></tr>\n";
          $line_id++;
        }
        // ha nincs egyetlen bejegyzés sem
        if (count($items) == 0) {
          echo "      <tr><td align=\"center\"><b>Nincs megjeleníthető bejegyzés!</b></td></tr>\n";
        }
      ?>
    </table><br />
    <a href="javascript:void(null);" onclick="$.post('actions.php', {'action':'clear'}, function() { location.reload(); });">Összes bejegyzés törlése</a><hr>
    <table cellpadding="2" cellspacing="0">
      <tr><td align="right">Név:</td><td><input type="text" id="name" /></td></tr>
      <tr><td align="right">e-Mail cím:</td><td><input type="text" id="mail" /></td></tr>
      <tr><td colspan="2">Üzenet:</td></tr>
      <tr><td colspan="2"><textarea cols="20" rows="5" id="msg"></textarea></td></tr>
      <tr><td colspan="2" align="right"><input type="button" onclick="$.post('actions.php', {'action':'add', 'name':$('input#name').val(), 'mail':$('input#mail').val(), 'msg':$('textarea#msg').val()}, function() { location.reload(); });" value="Küldés" /></td></tr>
    </table>
  </body>
</html>